## r-cran-hash 2.2.6.1

=== DESCRIPTION ===
Package: hash
Type: Package
Title: Full Feature Implementation of Hash/Associated
        Arrays/Dictionaries
Version: 2.2.6.1
Date: 2013-02-20
Author: Christopher Brown
Maintainer: Christopher Brown <chris.brown@decisionpatterns.com>
Depends: R (>= 2.12.0), methods, utils
Suggests: testthat
Description: Implements a data structure similar to hashes
        in Perl and dictionaries in Python but with a purposefully R
        flavor.  For objects of appreciable size, access using hashes
        outperforms native named lists and vectors.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2019-03-04 10:29:43 UTC; hornik
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2019-03-04 10:45:29 UTC

=== debian/changelog ===
r-cran-hash (2.2.6.1-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:05:59 +0000

r-cran-hash (2.2.6.1-3) unstable; urgency=medium

  * Source only upload for R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 07:30:55 +0200

r-cran-hash (2.2.6.1-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 07:31:32 +0200

r-cran-hash (2.2.6.1-1) unstable; urgency=medium

  * Initial release (closes: #954984)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Mar 2020 11:32:55 +0100

=== debian/control ===
Source: r-cran-hash
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hash
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hash.git
Homepage: https://cran.r-project.org/package=hash
Rules-Requires-Root: no

Package: r-cran-hash
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R full feature implementation of hash/associated arrays/dictionaries
 Implements a data structure similar to hashes
 in Perl and dictionaries in Python but with a purposefully R
 flavor.  For objects of appreciable size, access using hashes
 outperforms native named lists and vectors.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/hash_([-\d.]*)\.tar\.gz

## r-cran-hash 2.2.6.2

=== DESCRIPTION ===
Package: hash
Type: Package
Title: Full Featured Implementation of Hash Tables/Associative
        Arrays/Dictionaries
Version: 2.2.6.2
Date: 2022-03-21
Author: Christopher Brown <chris.brown@decisionpatterns.com>
Maintainer: John Hughes <drjphughesjr@gmail.com>
Depends: R (>= 2.12.0), methods, utils
Suggests: testthat
Description: Implements a data structure similar to hashes in Perl and dictionaries in Python but with a purposefully R flavor. For objects of appreciable size, access using hashes outperforms native named lists and vectors.
License: GPL (>= 2)
URL: http://www.johnhughes.org
NeedsCompilation: no
Packaged: 2022-03-21 15:05:06 UTC; johnhughes
Repository: CRAN
Date/Publication: 2022-03-22 13:10:05 UTC

=== debian/changelog ===
r-cran-hash (2.2.6.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2022 12:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-hash
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hash
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hash.git
 Homepage: https://cran.r-project.org/package=hash
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hash
 Architecture: all

## r-cran-hash 2.2.6.3

=== DESCRIPTION ===
Package: hash
Type: Package
Title: Full Featured Implementation of Hash Tables/Associative
        Arrays/Dictionaries
Version: 2.2.6.3
Date: 2023-08-19
Authors@R: c(person("Christopher", "Brown", email = "chris.brown@decisionpatterns.com", role = "aut"),
             person("John", "Hughes", email = "drjphughesjr@gmail.com", role = c("cre", "ctb")))
Depends: R (>= 2.12.0), methods, utils
Suggests: testthat
Description: Implements a data structure similar to hashes in Perl and dictionaries in Python but with a purposefully R flavor. For objects of appreciable size, access using hashes outperforms native named lists and vectors.
License: GPL (>= 2)
URL: http://www.johnhughes.org
NeedsCompilation: no
Packaged: 2023-08-19 17:38:27 UTC; johnhughes
Author: Christopher Brown [aut],
  John Hughes [cre, ctb]
Maintainer: John Hughes <drjphughesjr@gmail.com>
Repository: CRAN
Date/Publication: 2023-08-19 19:52:35 UTC

=== debian/changelog ===
r-cran-hash (2.2.6.3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 13:14:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hash
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hash.git
 Homepage: https://cran.r-project.org/package=hash
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-hash 2.2.6.4

=== DESCRIPTION ===
Package: hash
Type: Package
Title: Full Featured Implementation of Hash Tables/Associative
        Arrays/Dictionaries
Version: 2.2.6.4
Date: 2026-01-21
Authors@R: c(person("Christopher", "Brown", email = "chris.brown@decisionpatterns.com", role = "aut"),
             person("John", "Hughes", email = "drjphughesjr@gmail.com", role = c("cre", "ctb")))
Depends: R (>= 2.12.0), methods, utils
Suggests: testthat, rbenchmark
Description: Implements a data structure similar to hashes in Perl and dictionaries in Python but with a purposefully R flavor. For objects of appreciable size, access using hashes outperforms native named lists and vectors.
License: GPL (>= 2)
URL: http://www.johnhughes.org
NeedsCompilation: no
Packaged: 2026-01-21 14:15:51 UTC; johnhughes
Author: Christopher Brown [aut],
  John Hughes [cre, ctb]
Maintainer: John Hughes <drjphughesjr@gmail.com>
Repository: CRAN
Date/Publication: 2026-01-21 15:00:09 UTC

=== debian/changelog ===
r-cran-hash (2.2.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 17:40:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-hash
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hash
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hash.git
 Homepage: https://cran.r-project.org/package=hash
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hash
 Architecture: all
